import * as _vue from "vue";

/**
 * @Date: 2020/11/23 7:55 下午
 * @Author: Fioanna
 * @Description: 日期选择器
 */
import dateRangeProps from './types';
import ADataPicker from 'ant-design-vue/es/date-picker/index';
var ARangePicker = ADataPicker.RangePicker;
export default {
  name: 'EDateRange',
  components: {
    ARangePicker: ARangePicker
  },
  props: dateRangeProps,
  data: function data() {
    return {
      dates: []
    };
  },
  computed: {
    rangeDates: function rangeDates() {
      return [this.startValue, this.endValue];
    }
  },
  methods: {
    _change: function _change(dates) {
      // 按照valueFormat的格式输出时间列表
      this.$emit('change', dates);
    }
  },
  render: function render() {
    var _this$$props = this.$props,
        disabled = _this$$props.disabled,
        showTime = _this$$props.showTime,
        showFormat = _this$$props.showFormat,
        valueFormat = _this$$props.valueFormat,
        disabledDate = _this$$props.disabledDate; // placeholder={['开始时间', '结束时间']}

    return _vue.createVNode(_vue.resolveComponent("a-range-picker"), {
      "style": "width: 100%",
      "disabled": disabled,
      "showTime": showTime,
      "format": showFormat,
      "valueFormat": valueFormat,
      "disabledDate": disabledDate,
      "value": this.rangeDates,
      "onChange": this._change
    }, null);
  }
};