import * as _vue from "vue";
import EPageHeader from '../../../PageHeader';
import AButton from 'ant-design-vue/es/button';
import { SaveDraftPageHeaderProps } from './types';
import './style.less';
/**
 * 具有保存草稿功能的分布表单页面头,需要用 createElement(ESaveDraftPageHeader)方式传入
 */

export default {
  name: 'ESaveDraftPageHeader',
  components: {
    EPageHeader: EPageHeader,
    AButton: AButton
  },
  props: SaveDraftPageHeaderProps,
  render: function render() {
    var _this = this;

    var _this$$props = this.$props,
        pageTitle = _this$$props.pageTitle,
        pageSubTitle = _this$$props.pageSubTitle,
        pageDesc = _this$$props.pageDesc,
        draftLoading = _this$$props.draftLoading,
        reason = _this$$props.reason,
        saveDraft = _this$$props.saveDraft;
    return _vue.createVNode(_vue.resolveComponent("e-page-header"), {
      "title": pageTitle,
      "sub-title": pageSubTitle
    }, {
      "default": function _default() {
        return [_vue.createVNode("div", {
          "slot": "content",
          "class": "page-header-content"
        }, [_vue.createVNode("div", null, [pageDesc]), reason ? _vue.createVNode("div", {
          "class": "reason"
        }, ["\u5931\u8D25\u539F\u56E0\uFF1A".concat(_this.reason)]) : null]), _vue.createVNode(_vue.resolveComponent("a-button"), {
          "slot": "action",
          "type": "primary",
          "ghost": true,
          "loading": draftLoading,
          "onClick": saveDraft
        }, {
          "default": function _default() {
            return [_vue.createTextVNode("\u5B58\u4E3A\u8349\u7A3F")];
          }
        })];
      }
    });
  }
};