"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireWildcard(require("vue"));

var _types = _interopRequireDefault(require("./types"));

var _index = _interopRequireDefault(require("ant-design-vue/es/date-picker/index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * @Date: 2020/11/23 7:55 下午
 * @Author: Fioanna
 * @Description: 日期选择器
 */
var ARangePicker = _index["default"].RangePicker;
var _default = {
  name: 'EDateRange',
  components: {
    ARangePicker: ARangePicker
  },
  props: _types["default"],
  data: function data() {
    return {
      dates: []
    };
  },
  computed: {
    rangeDates: function rangeDates() {
      return [this.startValue, this.endValue];
    }
  },
  methods: {
    _change: function _change(dates) {
      // 按照valueFormat的格式输出时间列表
      this.$emit('change', dates);
    }
  },
  render: function render() {
    var _this$$props = this.$props,
        disabled = _this$$props.disabled,
        showTime = _this$$props.showTime,
        showFormat = _this$$props.showFormat,
        valueFormat = _this$$props.valueFormat,
        disabledDate = _this$$props.disabledDate; // placeholder={['开始时间', '结束时间']}

    return _vue.createVNode(_vue.resolveComponent("a-range-picker"), {
      "style": "width: 100%",
      "disabled": disabled,
      "showTime": showTime,
      "format": showFormat,
      "valueFormat": valueFormat,
      "disabledDate": disabledDate,
      "value": this.rangeDates,
      "onChange": this._change
    }, null);
  }
};
exports["default"] = _default;