"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireWildcard(require("vue"));

var _types = require("./types");

var _isPromise = _interopRequireDefault(require("is-promise"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * 字典描述显示
 */
var _default = {
  name: 'EDictText',
  props: _types.DictTextProps,
  data: function data() {
    return {
      //显示文字
      caption: ''
    };
  },
  mounted: function mounted() {
    this._getDictCaption();
  },
  methods: {
    /**
     * 根据字典组id获取字典列表。此方法需要在Vue.use挂载组件的时候被覆盖
     */
    getDictList: function getDictList() {},

    /**
     * 获取显示的字典值
     * @private
     */
    _getDictCaption: function _getDictCaption() {
      var _this = this;

      var result = this.getDictList(this.$props.dictId);

      if ((0, _isPromise["default"])(result)) {
        result.then(function (res) {
          var dictObj = res.find(function (item) {
            return item.name === _this.$props.name;
          });
          _this.$data.caption = dictObj ? dictObj.caption : _this.$props.name;
        })["catch"](function () {
          _this.$data.caption = _this.$props.defaultValue;
        });
      } else {
        this.$data.caption = this.$props.defaultValue;
      }
    }
  },
  render: function render() {
    var caption = this.$data.caption;
    return _vue.createVNode("span", null, [caption]);
  }
};
exports["default"] = _default;