"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireWildcard(require("vue"));

var _input = _interopRequireDefault(require("ant-design-vue/es/input"));

var _types = _interopRequireDefault(require("./types"));

require("./style.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * @Date: 2020/11/23 8:12 下午
 * @Author: Fioanna
 * @Description: 带文字长度展示的输入框
 */
var _default = {
  name: 'EInput',
  components: {
    AInput: _input["default"]
  },
  props: _types["default"],
  data: function data() {
    return {
      value_: this.$props.value
    };
  },
  computed: {
    length: function length() {
      var value = '';

      if (this.value_) {
        value = this.value_ + '';
      }

      return value.length + '/' + this.$props.maxLength;
    }
  },
  methods: {
    _change: function _change(e) {
      this.value_ = e.target.value || '';
      this.$emit('input', this.value_);
      this.$emit('change', e);
    },
    _blur: function _blur(e) {
      this.$emit('blur', e);
    },
    _renderInput: function _renderInput() {
      return _vue.createVNode(_vue.resolveComponent("a-input"), _vue.mergeProps({
        props: this.$props
      }, {
        "onChange": this._change,
        "onBlur": this._blur
      }), null);
    }
  },
  render: function render() {
    var showLimit = this.$props.maxLength > 0;
    return _vue.createVNode("div", {
      "class": "e-input"
    }, [this._renderInput(), showLimit ? _vue.createVNode("span", {
      "class": "e-input-limit"
    }, [this.length]) : null]);
  }
};
exports["default"] = _default;