"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireWildcard(require("vue"));

var _types = require("./types");

var _icon = _interopRequireDefault(require("ant-design-vue/es/icon"));

require("./style.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var _default = {
  name: 'ELoading',
  components: {
    AIcon: _icon["default"]
  },
  props: _types.LoadingProps,
  computed: {
    modeMap: function modeMap() {
      return _types.LOADING_MODE[this.mode];
    },
    modeIcon: function modeIcon() {
      if (this.modeMap) {
        return this.modeMap.icon;
      }

      return 'loading';
    },
    modeText: function modeText() {
      if (this.text) {
        return this.text;
      }

      if (this.modeMap) {
        return this.modeMap.text;
      }

      return '加载中...';
    }
  },
  render: function render() {
    var iconColor = {
      color: this.$props.color
    };
    var spanClass = "loading-text ".concat(this.$props.mode);
    return _vue.createVNode("div", {
      "class": "flex-v flex-hc flex-vc loading-component-wrapper"
    }, [_vue.createVNode(_vue.resolveComponent("a-icon"), {
      "type": this.modeIcon,
      "class": "loading-icon",
      "style": iconColor
    }, null), _vue.createVNode("span", {
      "class": spanClass
    }, [this.modeText])]);
  }
};
exports["default"] = _default;